--- asterisk/say.c	2004-12-27 13:33:36.000000000 -0300
+++ asterisk/say.new.c	2004-12-27 13:51:21.000000000 -0300
@@ -38,6 +38,10 @@
 	char fn[256] = "";
 	int num = 0;
 	int res = 0;
+	res = ast_streamfile(chan, "pause", lang);
+	if (!res)
+		res = ast_waitstream(chan, ints);
+	ast_stopstream(chan);
 	while(fn2[num] && !res) {
 		fn[0] = '\0';
 		switch (fn2[num]) {
@@ -70,6 +74,10 @@
 	char ltr;
 	int num = 0;
 	int res = 0;
+	res = ast_streamfile(chan, "pause", lang);
+	if (!res)
+		res = ast_waitstream(chan, ints);
+	ast_stopstream(chan);
 	while(fn2[num] && !res) {
 		fn[0] = '\0';
 		switch (fn2[num]) {
@@ -495,6 +503,11 @@
 /* Called from AGI */
 int ast_say_number_full(struct ast_channel *chan, int num, char *ints, char *language, char *options, int audiofd, int ctrlfd)
 {
+	int res = 0;
+	res = ast_streamfile(chan, "pause", language);
+	if (!res)
+		res = ast_waitstream(chan, ints);
+	ast_stopstream(chan);
 	if (!strcasecmp(language,"en") ) {	/* English syntax */
 	   return(ast_say_number_full_en(chan, num, ints, language, audiofd, ctrlfd));
 	} else if (!strcasecmp(language, "da") ) {	/* Danish syntax */
